ulams interactive
Generated from front/cli (ulams schema)
ulams interactive add-version
Section titled “ulams interactive add-version”Upload a new version of an interactive package.
Kind: write. Stability: stable. MCP tool: interactive_add_version. Scopes: courses:write.
Endpoints: POST /api/admin/interactive/{id}/versions.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--change-note |
string | ||
--file |
string | yes | Path of a local file (.zip) |
# Upload a new version of an interactive packageulams interactive add-version 1 --file text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "change_note": { "type": "string" }, "file": { "type": "string", "description": "Path of a local file (.zip)" } }, "required": [ "id", "file" ], "additionalProperties": {}}ulams interactive create
Section titled “ulams interactive create”Upload an interactive package (.zip with ulams-interactive.json).
Kind: write. Stability: stable. MCP tool: interactive_create. Scopes: courses:write.
Endpoints: POST /api/admin/interactive.
| Flag | Type | Required | Description |
|---|---|---|---|
--accept-network |
boolean | Confirm the manifest’s network origins; without it a manifest that lists some answers 422 with errors.network | |
--change-note |
string | ||
--file |
string | yes | Path of a local file (.zip) |
--title |
string |
# Upload an interactive package (.zip with ulams-interactive.json)ulams interactive create --file text --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "accept_network": { "type": "boolean", "description": "Confirm the manifest's network origins; without it a manifest that lists some answers 422 with errors.network" }, "change_note": { "type": "string" }, "file": { "type": "string", "description": "Path of a local file (.zip)" }, "title": { "type": "string" } }, "required": [ "file" ], "additionalProperties": {}}ulams interactive delete
Section titled “ulams interactive delete”Delete a package with all versions and files.
Kind: destructive (idempotent). Stability: stable. MCP tool: interactive_delete. Scopes: courses:write.
Endpoints: DELETE /api/admin/interactive/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Delete a package with all versions and filesulams interactive delete 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams interactive get
Section titled “ulams interactive get”Show a package with its current manifest.
Kind: read (idempotent). Stability: stable. MCP tool: interactive_get. Scopes: courses:read.
Endpoints: GET /api/admin/interactive/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# Show a package with its current manifestulams interactive get 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams interactive list
Section titled “ulams interactive list”List interactive packages.
Kind: read (idempotent). Stability: stable. MCP tool: interactive_list. Scopes: courses:read.
Endpoints: GET /api/admin/interactive.
| Flag | Type | Required | Description |
|---|---|---|---|
--search |
string | ||
--per-page |
integer |
# List interactive packagesulams interactive list --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "search": { "type": "string" }, "per_page": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "additionalProperties": {}}ulams interactive preview
Section titled “ulams interactive preview”Admin preview of a version on the content origin (nothing is tracked).
Kind: read (idempotent). Stability: stable. MCP tool: interactive_preview. Scopes: courses:read.
Endpoints: GET /api/admin/interactive/{id}/preview.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--version |
integer |
# Admin preview of a version on the content origin (nothing is tracked)ulams interactive preview 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "version": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}ulams interactive update
Section titled “ulams interactive update”Rename a package.
Kind: write (idempotent). Stability: stable. MCP tool: interactive_update. Scopes: courses:write.
Endpoints: PUT /api/admin/interactive/{id}.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes | |
--body |
unknown | Request body (JSON) |
# Rename a packageulams interactive update 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 }, "body": { "description": "Request body (JSON)" } }, "required": [ "id" ], "additionalProperties": {}}ulams interactive versions
Section titled “ulams interactive versions”List versions.
Kind: read (idempotent). Stability: stable. MCP tool: interactive_versions. Scopes: courses:read.
Endpoints: GET /api/admin/interactive/{id}/versions.
| Flag | Type | Required | Description |
|---|---|---|---|
--id (positional) |
integer | yes |
# List versionsulams interactive versions 1 --jsonInput JSON Schema
{ "$schema": "https://json-schema.org/draft/2020-12/schema", "type": "object", "properties": { "id": { "type": "integer", "minimum": -9007199254740991, "maximum": 9007199254740991 } }, "required": [ "id" ], "additionalProperties": {}}